Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1272123 - [RFE] Add %(resultdir) placeholder for sign plugin.
Summary: [RFE] Add %(resultdir) placeholder for sign plugin.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-15 14:24 UTC by Vít Ondruch
Modified: 2016-01-03 23:26 UTC (History)
6 users (show)

Fixed In Version: mock-1.2.14-1.fc23 mock-1.2.14-1.el6 mock-1.2.14-1.fc22 mock-1.2.14-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-27 18:21:12 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
0001-Add-resultdir-placeholder-for-sign-plugin.patch (deleted)
2015-10-15 14:24 UTC, Vít Ondruch
no flags Details | Diff

Description Vít Ondruch 2015-10-15 14:24:22 UTC
Created attachment 1083278 [details]
0001-Add-resultdir-placeholder-for-sign-plugin.patch

I'd like to use sign plugin [1] to automatically create repo in results dir. For that, the %(resultdir) placeholder is needed. The attached patch implements this.

But if you prefer, I'll be more than happy to prepare createrepo plugin, which will do just this.

[1] https://fedoraproject.org/wiki/Mock/Plugin/Sign

Comment 1 Miroslav Suchý 2015-10-15 19:00:08 UTC
Commited as
* d9afe89 (HEAD -> devel) Add %(resultdir) placeholder for sign plugin. [RHBZ#1272123]

Thank you for contribution.

Comment 2 Vít Ondruch 2015-10-16 08:31:37 UTC
Thanks for accepting.

BTW this should be mentioned in wiki once this get released ...

Comment 3 Miroslav Suchý 2015-10-16 09:29:16 UTC
It is already there https://fedoraproject.org/wiki/Mock/Plugin/Sign

Comment 4 Fedora Update System 2015-11-24 23:31:57 UTC
mock-1.2.14-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a295f19cae

Comment 5 Fedora Update System 2015-11-24 23:32:29 UTC
mock-1.2.14-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b4d491366d

Comment 6 Fedora Update System 2015-11-24 23:32:30 UTC
mock-1.2.14-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-fd9c932e3a

Comment 7 Fedora Update System 2015-11-24 23:33:01 UTC
mock-1.2.14-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3ef940024e

Comment 8 Fedora Update System 2015-11-26 00:51:20 UTC
mock-1.2.14-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update mock'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-fd9c932e3a

Comment 9 Fedora Update System 2015-11-26 00:53:22 UTC
mock-1.2.14-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update mock'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a295f19cae

Comment 10 Fedora Update System 2015-11-26 01:22:06 UTC
mock-1.2.14-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mock'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b4d491366d

Comment 11 Fedora Update System 2015-11-26 02:25:40 UTC
mock-1.2.14-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mock'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3ef940024e

Comment 12 Fedora Update System 2015-11-26 02:54:38 UTC
mock-1.2.14-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mock'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6d1cc55330

Comment 13 Fedora Update System 2015-11-27 18:20:43 UTC
mock-1.2.14-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-01-03 20:26:30 UTC
mock-1.2.14-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-01-03 21:20:18 UTC
mock-1.2.14-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-01-03 23:26:15 UTC
mock-1.2.14-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.